%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		seahorse-nautilus
Version:	3.6.1
Release:	%mkrel 2
Summary:	PGP encryption and signing for nautilus
License:	GPLv2+
URL:		https://live.gnome.org/Seahorse
Source0:	http://download.gnome.org//sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Group:		Graphical desktop/GNOME

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	gnupg2
BuildRequires:	gpgme-devel >= 1.0
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(cryptui-0.0)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	intltool
BuildRequires:	gettext-devel

Obsoletes:	seahorse-plugins < 3.0

%description
Seahorse nautilus is an extension for nautilus which allows encryption
and decryption of OpenPGP files using GnuPG.


%prep
%setup -q


%build
%configure --disable-silent-rules
%make


%install
%makeinstall_std

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-encrypted.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-keys.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/seahorse-pgp-signature.desktop

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README THANKS
%{_bindir}/seahorse-tool
%{_libdir}/nautilus/extensions-3.0/libnautilus-seahorse.so
%{_datadir}/applications/*.desktop
%{_datadir}/GConf/gsettings/org.gnome.seahorse.nautilus.convert
%{_datadir}/glib-2.0/schemas/org.gnome.seahorse.nautilus.*gschema.xml
%{_datadir}/seahorse-nautilus/
%{_mandir}/man1/seahorse-tool.1*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 381929
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306812
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297794
- new version 3.6.0

* Tue Sep 25 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 297789
- br gettext-devel
- add group
- Import modified Fedora package

